# Interface CourseInfo

interface CourseInfo {
activeRoute: null | ActiveRoute;
arrivalCircle: number;
nextPoint: null | NextPreviousPoint;
previousPoint: null | NextPreviousPoint;
startTime: null | string;
targetArrivalTime: null | string;
}

- Defined in coursetypes.ts:52

##### Index

### Properties

activeRoute
arrivalCircle
nextPoint
previousPoint
startTime
targetArrivalTime

## Properties

### activeRoute

activeRoute: null | ActiveRoute

- Defined in coursetypes.ts:56

### arrivalCircle

arrivalCircle: number

- Defined in coursetypes.ts:55

### nextPoint

nextPoint: null | NextPreviousPoint

- Defined in coursetypes.ts:57

### previousPoint

previousPoint: null | NextPreviousPoint

- Defined in coursetypes.ts:58

### startTime

startTime: null | string

- Defined in coursetypes.ts:53

### targetArrivalTime

targetArrivalTime: null | string

- Defined in coursetypes.ts:54